Scopes and client validation

Validate client

GEThttps://auth.agribus-connect.net/v1/agricultural-api/oauth/client/validate

Validates the combination of client ID and redirect URI

Authentication

None

Parameters

NameInTypeDescription
clientId *querystringClient ID
redirectUri *querystringRedirect URI
scopequerystringRequested scopes

curl example

curl -X GET 'https://auth.agribus-connect.net/v1/agricultural-api/oauth/client/validate?clientId=<clientId>&redirectUri=<redirectUri>'

Responses

200 — OK · */* ClientValidationResult

{
  "valid": true,
  "message": "string",
  "allowedScopes": [
    "string"
  ]
}

Generated from the production OpenAPI documents as of 2026-10-27